
package com.reactlibrary;

import android.os.Build.VERSION; 
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import android.app.AlertDialog;  
public class RNAlizaModule extends ReactContextBaseJavaModule {

  private final ReactApplicationContext reactContext;

  public RNAlizaModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
  }

  @Override
  public String getName() {
    return "RNAliza";
  }

    @ReactMethod
  public void show(String namer) {
    
     AlertDialog.Builder.setMessage(namer).show(); 

  }

  @ReactMethod 
  public void osVersion(Callback successCallback, Callback errorCallback){

    try {
       successCallback.invoke(android.os.BuildVersion.BASE_OS);
   }
   catch(Exception e){
   	 errorCallback.invoke(e.getMessage())
   }
          

  }

}